# Uses of Class
jam.framework.Application

Packages that use Application
Package
Description
jam.console
jam.demo
jam.framework
jam.java9only
jam.mac

## Uses of Application in jam.console

Subclasses of Application in jam.console
Modifier and Type
Class
Description
`class`
`ConsoleApplication`

## Uses of Application in jam.demo

Subclasses of Application in jam.demo
Modifier and Type
Class
Description
`class`
`DemoApplication`

## Uses of Application in jam.framework

Subclasses of Application in jam.framework
Modifier and Type
Class
Description
`class`
`MultiDocApplication`
`class`
`SingleDocApplication`
Methods in jam.framework that return Application
Modifier and Type
Method
Description
`static Application`
Application.`getApplication()`
Methods in jam.framework with parameters of type Application
Modifier and Type
Method
Description
`DocumentFrame`
DocumentFrameFactory.`createDocumentFrame(Application app, MenuBarFactory menuBarFactory)`

## Uses of Application in jam.java9only

Methods in jam.java9only with parameters of type Application
Modifier and Type
Method
Description
`static void`
ApplicationAdapter.`registerApplication(Application application)`

## Uses of Application in jam.mac

Methods in jam.mac with parameters of type Application
Modifier and Type
Method
Description
`static void`
Utils.`registerDesktopApplication(Application application)`